/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 * 
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-chat-client/src/org/opendj/chat/AutoLoginListener.java,v 1.1.1.1 2001/09/29 20:20:20 jonathan Exp $
 * $Log: AutoLoginListener.java,v $
 * Revision 1.1.1.1  2001/09/29 20:20:20  jonathan
 * Imported opendj-chat-client
 *
 */
package org.opendj.chat;

public class AutoLoginListener implements ChatSocketListener {

    public static final String SOCKLISTENER_NAME = "--AutoLoginListener--";

    private ChatApplet itsApp        = null;
    private ChatSocket itsChatSocket = null;

    public AutoLoginListener(ChatApplet theApp) {
        itsApp = theApp;
        itsChatSocket = theApp.getChatSocket();
        itsChatSocket.addListener(this);
    }

    public String getName() { return SOCKLISTENER_NAME; }
    public int getPriority() { return 0; }

    public boolean handleServerCommand ( String theCommand,
                                         String theData,
                                         String theSource ) {
        boolean wasHandled = false;
        if ( theCommand.equals(ChatSocketCommands.RES_NAMEOK) ) {
            debug("name ok");
            // Name is OK...
            itsApp.setNewName(theData);
            itsChatSocket.removeListener(this);
            return true;

        } else if (theCommand.equals(ChatSocketCommands.RES_NOSUCHDJ)) {
            // Tell them the name was too short
            debug("no such dj");
            return true;

        } else if (theCommand.equals(ChatSocketCommands.RES_BADPASSWORD)) {
            // Tell them the name was too long
            debug("bad password");
            return true;

        } else if (theCommand.equals(ChatSocketCommands.RES_NAMETAKEN)) {
            // Tell them the name was taken
            debug("name taken");
            return true;
        }
        return false;
    }

    private void debug ( Object o ) {
        if ( o == null ) o = new String("null");
        itsApp.debug("[AutoLoginListener] " + o);
    }
}
