/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 * 
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-chat-client/src/org/opendj/chat/ChatSocketCommands.java,v 1.1.1.1 2001/09/29 20:20:20 jonathan Exp $
 * $Log: ChatSocketCommands.java,v $
 * Revision 1.1.1.1  2001/09/29 20:20:20  jonathan
 * Imported opendj-chat-client
 *
 */
package org.opendj.chat;

public class ChatSocketCommands {

    //
    // SERVER->CLIENT MESSAGES
    //
    // Tells the client where to send messages
    public static final String RES_CONFIG         = "CFG";

    // To see if we are alive
    public static final String RES_PING           = "PING";

    // To notify us that a new user has joined
    public static final String RES_JOIN           = "JOI";

    // To tell us about a user in the room
    public static final String RES_LISTUSER       = "USER";

    // To notify us that a user has just left
    public static final String RES_LEAVEUSER      = "LEA";

    // To notify us that a user has just timed out
    public static final String RES_LEAVETIMEOUT   = "TLLEA";

    // To notify us that a user has just been booted
    public static final String RES_LEAVEBOOTED    = "BLEA";

    // A message to broadcast (or send privately if a target is specified)
    public static final String RES_MESSAGE        = "MSG";

    // A message sent privately from another user
    public static final String RES_PRIVATEMESSAGE = "PMSG";

    //
    // CLIENT->SERVER MESSAGES
    //
    // To indicate that we are still alive
    public static final String REQ_PONG      = "PONG";

    // The name the client chose is OK
    public static final String RES_NAMEOK    = "NAMEOK";

    // A message to display locally
    public static final String REQ_MESSAGE   = "MSG";

    // Ask the server for a list of all connected users
    public static final String REQ_LISTUSERS = "LISTUSERS";

    // To indicate that we are joining a chat anonymously
    public static final String REQ_HELLO     = "HELLO";

    // To get an identity, and thus be able to speak in the chat
    public static final String REQ_JOIN      = "JOIN";

    // To get an identity as a DJ, and thus be able to speak in the chat
    public static final String REQ_JOINASDJ  = "JOINASDJ";

    // To get an identity as a DJ, and thus be able to speak in the chat
    public static final String REQ_JOINASDJEP= "JOINASDJEP";

    // Boot a user from the chat (moderator only)
    public static final String REQ_BOOT      = "BOOT";

    // To indicate the we are leaving a chat
    public static final String REQ_END       = "END";

    // Error messges from the server
    public static final String RES_NOSUCHROOM   = "NOSUCHROOM";
    public static final String RES_ROOMFULL     = "ROOMFULL";
    public static final String RES_NAMETAKEN    = "NAMETAKEN";
    public static final String RES_NAMETOOSHORT = "NAMETOOSHORT";
    public static final String RES_NAMETOOLONG  = "NAMETOOLONG";
    public static final String RES_BLOCKED      = "BLOCKED";
    public static final String RES_NOSUCHDJ     = "NOSUCHDJ";
    public static final String RES_NOSUCHUSER   = "NOSUCHUSER";
    public static final String RES_BADPASSWORD  = "BADPASSWORD";
    public static final String RES_NAMEISDJ     = "NAMEISDJ";
    public static final String RES_NOTMODERATOR = "NOTMODERATOR";
    public static final String RES_MUSTBEDJ     = "MUSTBEADJ";

}
