/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 * 
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-chat-client/src/org/opendj/chat/ChatSocketListener.java,v 1.1.1.1 2001/09/29 20:20:20 jonathan Exp $
 * $Log: ChatSocketListener.java,v $
 * Revision 1.1.1.1  2001/09/29 20:20:20  jonathan
 * Imported opendj-chat-client
 *
 */
package org.opendj.chat;

public interface ChatSocketListener {

    // Returns the name of listener.  This name must be unique within the applet
    public String getName();

    // Returns the priority of the listener.  Listeners are given a chance
    // to handle incoming commands based on higher priority first
    public int getPriority();

    // This is called when a listener is asked to handle a command.
    // Returns true if the listener handled the command, false otherwise
    public boolean handleServerCommand( String theCommand, 
                                        String theData,
                                        String theSource );
}
