/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 * 
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-chat-client/src/org/opendj/chat/Repainter.java,v 1.1.1.1 2001/09/29 20:20:20 jonathan Exp $
 * $Log: Repainter.java,v $
 * Revision 1.1.1.1  2001/09/29 20:20:20  jonathan
 * Imported opendj-chat-client
 *
 */
package org.opendj.chat;

public class Repainter implements Runnable {

    public static final long SLEEP_MILLIS = 500;

    private ChatApplet itsApp = null;
    private int itsRepaintCount = -1;
    private volatile boolean isDone = false;
    private volatile Thread itsMainThread = null;

    public Repainter ( ChatApplet theApp ) {
        itsApp = theApp;
        itsRepaintCount = 1200;
        isDone = false;
    }

    public void run () {
        itsMainThread = Thread.currentThread();
        int aCounter = 0;
        while ( !isDone && ++aCounter < itsRepaintCount ) {
            try { 
                Thread.sleep(SLEEP_MILLIS); 
            } catch ( InterruptedException e ) {}
            itsApp.repaint();
        }
    }

    public void finish () {
        isDone = true;
        if ( itsMainThread != null ) {
            itsMainThread.interrupt();
        }
    }

}
